package org.warp.cowdb;

import org.warp.jcwdb.ann.DBDataType;

import java.lang.reflect.Field;

public class EnhancedObjectFullInfo {
	private final long[] fieldReferences;
	private final DBDataType[] fieldTypes;
	private final Field[] fields;
	private final long[] propertyReferences;
	private final DBDataType[] propertyTypes;
	private final Object[] loadedPropertyValues;

	public EnhancedObjectFullInfo(long[] fieldReferences, DBDataType[] fieldTypes, Field[] fields, long[] propertyReferences, DBDataType[] propertyTypes, Object[] loadedPropertyValues) {
		this.fieldReferences = fieldReferences;
		this.fieldTypes = fieldTypes;
		this.fields = fields;
		this.propertyReferences = propertyReferences;
		this.propertyTypes = propertyTypes;
		this.loadedPropertyValues = loadedPropertyValues;
	}

	public long[] getFieldReferences() {
		return fieldReferences;
	}

	public DBDataType[] getFieldTypes() {
		return fieldTypes;
	}

	public Field[] getFields() {
		return fields;
	}

	public long[] getPropertyReferences() {
		return propertyReferences;
	}

	public DBDataType[] getPropertyTypes() {
		return propertyTypes;
	}

	public Object[] getLoadedPropertyValues() {
		return loadedPropertyValues;
	}
}
