package org.warp.jcwdb;

import java.io.IOException;

public interface IndexManager extends Cleanable {
	<T> T get(long index, DBReader<T> reader) throws IOException;
	long add(int size);
	long add(int size, DBWriter writer) throws IOException;
	FullIndexDetails addAndGetDetails(int size, DBWriter writer) throws IOException;
	IndexDetails set(long index, int size, DBWriter writer) throws IOException;
	void delete(long index) throws IOException;
	boolean has(long index);
	void close() throws IOException;
}
