package org.warp.jcwdb.tests;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.warp.jcwdb.utils.TestUtils;

public class DBRootFields {
	private TestUtils.WrappedDb db;
	private TestUtils.RootClass root;

	@Before
	public void setUp() throws Exception {
		db = TestUtils.wrapDb().create((db) -> {
			root = db.get().loadRoot(TestUtils.RootClass.class);
		});
		db.setRootClassFields(root);
		db.closeAndReopen();
	}

	@Test
	public void shouldMatchAllFields() {
		db.testRootClassFields(root);
	}

	@After
	public void tearDown() throws Exception {
		db.delete();
	}
}
